import { DeviceType } from '@ucap-webmessenger/core';
import { APIRequest, APIResponse } from '@ucap-webmessenger/api';

export interface VersionInfoRequest extends APIRequest {
  userSeq?: string;
  deviceType: DeviceType;
  token?: string;
  companyGroupType: string;
  companyCode: string;
  loginId: string;
}

export interface VersionInfoResponse extends APIResponse {
  protocolCode?: string;
  syncMode?: string;
  appVersion?: string;
  installUrl?: string;
  serverIp?: string;
  serverPort?: string;
  uploadUrl?: string;
  downloadUrl?: string;
  profileUploadUrl?: string;
  profileRoot?: string;
  fileTerm?: string;
  fileAllowSize?: string;
  authIp?: string;
  launcherAppVersion?: string;
  launcherInstallUrl?: string;
}
