import { createAction, props } from '@ngrx/store';

import {
  VersionInfoRequest,
  VersionInfoResponse
} from '@ucap-webmessenger/api-public';

export const fetch = createAction(
  '[Setting::VersionInfo] Fetch',
  props<VersionInfoRequest>()
);

export const fetchSuccess = createAction(
  '[Setting::VersionInfo] Fetch Success',
  props<VersionInfoResponse>()
);

export const fetchFailure = createAction(
  '[Setting::VersionInfo] Fetch Failure',
  props<{ error: any }>()
);
